<?php
$x_op = 1; 
$x_1 = kerio("webiface::PhpSession"); 
$x_o9 = 0; 
if (is_object($x_1)) { 
$x_o9 = 1; 
$x_oq = ''; 
$x_oq = $_REQUEST['x_or']; 
$x_1->getCsrf(&$x_go); 
if ('' == $x_oq || $x_oq != $x_go) { 
$x_op = 0; 
} 
} 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_os = ''; 
$x_os = $_REQUEST['x_ot']; 
$x_7x->getCsrf(&$x_gn); 
if ('' == $x_os || $x_os != $x_gn) { 
$x_op = 0; 
} 
if (1 == $x_op) { 
if (1 == $x_o9) { 
$x_1->logout(); 
} 
$x_7x->logoutUser(); 
$x_9y = ''; 
$x_9y = urldecode($_POST["dest"]); 
$x_of = ''; 
$x_of = intval($_POST["internal"]); 
$x_ou = Array(); 
if (trim($x_9y) != '') { 
$x_ou[] = 'dest=' . urlencode($x_9y); 
} 
if (1 == $x_of) { 
$x_ou[] = 'internal=1'; 
} else { 
$x_ou[] = 'internal=0'; 
} 
header("Location: logout_ok.php" . (!empty($x_ou) ? '?' . implode('&', $x_ou) : '')); 
} else { 
header("Location: login.php"); 
} 
?>